[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.StrictSort

Indicates if strict sorting is used.

## Declaration

Source position: grids.pas line 1294

`protected property TCustomGrid.StrictSort : Boolean read FStrictSort write FStrictSort;`

## Description

StrictSort controls whether the internal QuickSort routine can skip exchanging the position for items when they have the same sort values. It allows the sort routine operate more quickly. Set StrictSort to False to skip calling the exchange routine for the items with the same values. When set to True, the exchange operation is performed for all sorted items.